Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
e-invoice
/
{irn}
Get E-Invoice by IRN
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoice/{irn} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoice/{irn}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoice/{irn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "error": {
      "error_cd": "EINV30118",
      "message": "No record found."
    },
    "status_cd": "0"
  },
  "timestamp": 1763446641000,
  "transaction_id": "d4a49c94-da0f-403c-8195-ebc172f77df2"
}

Response body schema

View response body schema

Only e-Invoices within the last 6 months can be fetched.

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

irn
string
required

Response

200 - application/json

200 E-Invoice fetched / 200 EINV30118 Record not found / 200 EINV30119 E-Invoice older than 6 months

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"30a2c438-bc17-44f7-a778-0dc6909ca118"